<?php

/**
 * @file
 * Contains a views field.
 */
class views_handler_field_scorm_cloud_registration_field extends views_handler_field {
  /**
   * Render the field.
   *
   * @param $values
   *   The values retrieved from the database.
   */
  function render($values) {
    $value = $values->{$this->field_alias};

    // Collect any additional fields that might be needed for displaying this field.
    $additional_fields = array();
    foreach ($this->additional_fields as $key) {
      if (isset($this->aliases[$key]) && isset($values->{$this->aliases[$key]})) {
        $additional_fields[$key] = $values->{$this->aliases[$key]};
      }
    }
    return scorm_cloud_course_registration_render_field($value, $this->real_field, $additional_fields);
  }

}